accounting/apps/books/urls.py
from django.conf.urls import patterns, url

from . import views


urlpatterns = patterns('',
    url(r'^$',
        views.DashboardView.as_view(),
        name="dashboard"),

    # Organizations
    url(r'^organization/$',
        views.OrganizationListView.as_view(),
        name="organization-list"),
    url(r'^organization/selector/$',
        views.OrganizationSelectorView.as_view(),
        name="organization-selector"),
    url(r'^organization/create/$',
        views.OrganizationCreateView.as_view(),
        name="organization-create"),
    url(r'^organization/(?P<pk>\d+)/edit/$',
        views.OrganizationUpdateView.as_view(),
        name="organization-edit"),
    url(r'^organization/(?P<pk>\d+)/detail/$',
        views.OrganizationDetailView.as_view(),
        name="organization-detail"),
    url(r'^organization/(?P<pk>\d+)/select/$',
        views.OrganizationSelectionView.as_view(),
        name="organization-select"),

    # Tax Rates
    url(r'^tax_rates/$',
        views.TaxRateListView.as_view(),
        name="tax_rate-list"),
    url(r'^tax_rates/create/$',
        views.TaxRateCreateView.as_view(),
        name="tax_rate-create"),
    url(r'^tax_rates/(?P<pk>\d+)/edit/$',
        views.TaxRateUpdateView.as_view(),
        name="tax_rate-edit"),
    url(r'^tax_rates/(?P<pk>\d+)/delete/$',
        views.TaxRateDeleteView.as_view(),
        name="tax_rate-delete"),

    # Estimates
    url(r'^estimate/$',
        views.EstimateListView.as_view(),
        name="estimate-list"),
    url(r'^estimate/create/$',
        views.EstimateCreateView.as_view(),
        name="estimate-create"),
    url(r'^estimate/(?P<pk>\d+)/edit/$',
        views.EstimateUpdateView.as_view(),
        name="estimate-edit"),
    url(r'^estimate/(?P<pk>\d+)/delete/$',
        views.EstimateDeleteView.as_view(),
        name="estimate-delete"),
    url(r'^estimate/(?P<pk>\d+)/detail/$',
        views.EstimateDetailView.as_view(),
        name="estimate-detail"),

    # Invoices
    url(r'^invoice/$',
        views.InvoiceListView.as_view(),
        name="invoice-list"),
    url(r'^invoice/create/$',
        views.InvoiceCreateView.as_view(),
        name="invoice-create"),
    url(r'^invoice/(?P<pk>\d+)/edit/$',
        views.InvoiceUpdateView.as_view(),
        name="invoice-edit"),
    url(r'^invoice/(?P<pk>\d+)/delete/$',
        views.InvoiceDeleteView.as_view(),
        name="invoice-delete"),
    url(r'^invoice/(?P<pk>\d+)/detail/$',
        views.InvoiceDetailView.as_view(),
        name="invoice-detail"),

    # Bills
    url(r'^bill/$',
        views.BillListView.as_view(),
        name="bill-list"),
    url(r'^bill/create/$',
        views.BillCreateView.as_view(),
        name="bill-create"),
    url(r'^bill/(?P<pk>\d+)/edit/$',
        views.BillUpdateView.as_view(),
        name="bill-edit"),
    url(r'^bill/(?P<pk>\d+)/delete/$',
        views.BillDeleteView.as_view(),
        name="bill-delete"),
    url(r'^bill/(?P<pk>\d+)/detail/$',
        views.BillDetailView.as_view(),
        name="bill-detail"),

    # ExpenseClaims
    url(r'^expense-claim/$',
        views.ExpenseClaimListView.as_view(),
        name="expense_claim-list"),
    url(r'^expense-claim/create/$',
        views.ExpenseClaimCreateView.as_view(),
        name="expense_claim-create"),
    url(r'^expense-claim/(?P<pk>\d+)/edit/$',
        views.ExpenseClaimUpdateView.as_view(),
        name="expense_claim-edit"),
    url(r'^expense-claim/(?P<pk>\d+)/delete/$',
        views.ExpenseClaimDeleteView.as_view(),
        name="expense_claim-delete"),
    url(r'^expense-claim/(?P<pk>\d+)/detail/$',
        views.ExpenseClaimDetailView.as_view(),
        name="expense_claim-detail"),

    # Payments
    url(r'^payment/(?P<pk>\d+)/edit/$',
        views.PaymentUpdateView.as_view(),
        name="payment-edit"),
    url(r'^payment/(?P<pk>\d+)/delete/$',
        views.PaymentDeleteView.as_view(),
        name="payment-delete"),
)

accounting/apps/connect/urls.py
from django.conf.urls import patterns, url

from . import views


urlpatterns = patterns('',

    url(r'^$',
        views.RootRedirectionView.as_view(),
        name="root"),

    # Step by step
    url(r'^getting-started/$',
        views.GettingStartedView.as_view(),
        name="getting-started")
)

accounting/apps/people/urls.py
from django.conf.urls import patterns, url

from . import views


urlpatterns = patterns('',

    # Clients
    url(r'^client/$',
        views.ClientListView.as_view(),
        name="client-list"),
    url(r'^client/create/$',
        views.ClientCreateView.as_view(),
        name="client-create"),
    url(r'^client/(?P<pk>\d+)/edit/$',
        views.ClientUpdateView.as_view(),
        name="client-edit"),
    url(r'^client/(?P<pk>\d+)/detail/$',
        views.ClientDetailView.as_view(),
        name="client-detail"),

    # Employees
    url(r'^employee/$',
        views.EmployeeListView.as_view(),
        name="employee-list"),
    url(r'^employee/create/$',
        views.EmployeeCreateView.as_view(),
        name="employee-create"),
    url(r'^employee/(?P<pk>\d+)/edit/$',
        views.EmployeeUpdateView.as_view(),
        name="employee-edit"),
    url(r'^employee/(?P<pk>\d+)/detail/$',
        views.EmployeeDetailView.as_view(),
        name="employee-detail"),
)

accounting/apps/reports/urls.py
from django.conf.urls import patterns, url

from . import views


urlpatterns = patterns('',

    # Reports
    url(r'^report/$',
        views.ReportListView.as_view(),
        name="report-list"),
    url(r'^report/tax/$',
        views.TaxReportView.as_view(),
        name="tax-report"),
    url(r'^report/profitloss/$',
        views.ProfitAndLossReportView.as_view(),
        name="profit-and-loss-report"),
    url(r'^report/payrun/$',
        views.PayRunReportView.as_view(),
        name="pay-run-report"),
    url(r'^report/invoicedetails/$',
        views.InvoiceDetailsView.as_view(),
        name="invoice-details-report"),

    # Settings
    url(r'^settings/$',
        views.SettingsListView.as_view(),
        name="settings-list"),
    url(r'^settings/business/$',
        views.BusinessSettingsUpdateView.as_view(),
        name="settings-business"),
    url(r'^settings/financial/$',
        views.FinancialSettingsUpdateView.as_view(),
        name="settings-financial"),
    url(r'^settings/payrun/$',
        views.PayRunSettingsUpdateView.as_view(),
        name="settings-payrun"),
)

accounting/urls.py
from django.conf import settings
from django.conf.urls import patterns, include, url
from django.conf.urls.static import static


urlpatterns = patterns('',
    url(r'^', include('accounting.apps.connect.urls',
        namespace="connect")),
    url(r'^books/', include('accounting.apps.books.urls',
        namespace="books")),
    url(r'^people/', include('accounting.apps.people.urls',
        namespace="people")),
    url(r'^reports/', include('accounting.apps.reports.urls',
        namespace="reports")),

    # third party
    url(r'^select2/', include('django_select2.urls')),
)

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL,
                          document_root=settings.MEDIA_ROOT)

accounting/templates/accounting/base.html
{% load static %}<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title></title>
        <meta name="description" content="">

        <!-- Place favicon.ico and apple-touch-icon.png in the root directory -->

        <link rel="stylesheet" href="{% static 'bootstrap/dist/css/bootstrap.css' %}">
        <link rel="stylesheet" href="{% static 'bootstrap/dist/css/bootstrap-theme.css' %}">

        <style>
            @import url(http://fonts.googleapis.com/css?family=Bree+Serif);
            body {
                font-family: 'Helvetica Neue', sans-serif;
            }
            h1, h2, h3, h4, h5, h6{
                font-family: 'Bree Serif', serif;
            }
        </style>

        <!-- Custom styles for this template -->
        <link rel="stylesheet" href="{% static 'accounting/css/main.css' %}">

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
          <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->

        <script src="{% static 'modernizr/modernizr.js' %}"></script>

        {% block head %}{% endblock %}
    </head>
    <body>
        <!--[if lt IE 7]>
            <p class="browsehappy">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
        <![endif]-->

        {% block maincontent %}{% endblock %}

        {% block scripts %}
            <script src="{% static 'jquery/dist/jquery.js' %}"></script>
            <script src="{% static 'bootstrap/dist/js/bootstrap.min.js' %}"></script>
            <script src="{% static 'accounting/js/main.js' %}"></script>
        {% endblock %}
    </body>
</html>

accounting/templates/accounting/layout.html
{% extends "accounting/base.html" %}
{% load nav bootstrap3 %}

{% block maincontent %}
    {% block nav %}
    <div class="navbar navbar-inverse" role="navigation">
        <div class="container-fluid">
            <div class="navbar-header">
                {% url 'books:organization-selector' as books_organization_selector_url %}
                {% url 'books:dashboard' as books_dashboard_url %}
                <div class="navbar-collapse collapse">
                    <ul class="nav navbar-nav">
                        <li>
                            <a type="btn" href="{{ books_organization_selector_url }}">
                                <span class="glyphicon glyphicon-home"></span>
                            </a>
                        </li>
                        {% if selected_organization %}
                        <li><a href="{{ books_dashboard_url }}">{{ selected_organization.display_name }}</a></li>
                        {% endif %}
                    </ul>
                </div>
            </div>
            <div class="navbar-collapse collapse">
                {% url 'connect:getting-started' as getting_started_url %}
                <div class="navbar-collapse navbar-right">
                    <ul class="nav navbar-nav">
                        <li><a href="{{ getting_started_url }}">Getting started</a></li></li>
                    </ul>
                    <p class="navbar-text">Accounting {{ display_version }}</p>
                </div>
            </div>
        </div>
    </div>
    {% endblock nav %}

    {% block container %}
    <div class="container-fluid">
        <div class="row">
            {% block sidebar %}
            <div class="col-sm-3 col-md-2 sidebar">
                <ul class="nav nav-sidebar">
                    {% url 'books:dashboard' as books_dashboard_url %}
                    <li class="{% active request books_dashboard_url exact_match=True %}"><a href="{{ books_dashboard_url }}">Overview</a></li>
                </ul>
                <ul class="nav nav-sidebar">
                    {% url 'books:estimate-list' as books_estimate_list_url %}
                    {% url 'books:invoice-list' as books_invoice_list_url %}
                    {% url 'books:bill-list' as books_bill_list_url %}
                    {% url 'books:expense_claim-list' as books_exepense_claim_list_url %}
                    {% url 'books:tax_rate-list' as books_tax_rate_list_url %}
                    <li class="{% active request books_estimate_list_url exact_match=True %}"><a href="{{ books_estimate_list_url }}">Estimates</a></li>
                    <li class="{% active request books_invoice_list_url exact_match=True %}"><a href="{{ books_invoice_list_url }}">Invoices</a></li>
                    <li class="{% active request books_bill_list_url exact_match=True %}"><a href="{{ books_bill_list_url }}">Bills</a></li>
                    <li class="{% active request books_exepense_claim_list_url exact_match=True %}"><a href="{{ books_exepense_claim_list_url }}">Expense claims</a></li>
                    <li class="{% active request books_tax_rate_list_url exact_match=True %}"><a href="{{ books_tax_rate_list_url }}">Tax Rates</a></li>
                </ul>
                <ul class="nav nav-sidebar">
                    {% url 'people:client-list' as clients_client_list_url %}
                    {% url 'people:employee-list' as employees_employee_list_url %}
                    <li class="{% active request clients_client_list_url exact_match=True %}"><a href="{{ clients_client_list_url }}">Clients</a></li>
                    <li class="{% active request employees_employee_list_url exact_match=True %}"><a href="{{ employees_employee_list_url }}">Employees</a></li>
                </ul>
                <ul class="nav nav-sidebar">
                    {% url 'reports:report-list' as reports_report_list_url %}
                    {% url 'reports:settings-list' as reports_settings_list_url %}
                    <li class="{% active request reports_report_list_url exact_match=True %}"><a href="{{ reports_report_list_url }}">Reports</a></li>
                    <li class="{% active request reports_settings_list_url exact_match=True %}"><a href="{{ reports_settings_list_url }}">Settings</a></li>
                </ul>
                <ul class="nav nav-sidebar">
                    <li class="disabled"><a href="">Reconciliation</a></li>
                </ul>
            </div>
            {% endblock sidebar %}
            <div class="col-sm-9 col-sm-offset-3 col-md-10 col-md-offset-2 main">
                {% bootstrap_messages %}
                {% block content %}{% endblock %}
            </div>
        </div>
    </div>
    {% endblock container %}
{% endblock maincontent %}